#include "sigmsgs.h"

Sigmsgs signals[] = {
	{"",	""},
	{"sighup",	"hangup"},
	{"sigint",	""},
	{"sigquit",	"quit"},
	{"sigill",	"illegal instruction"},
	{"sigtrap",	"trace trap"},
	{"sigabrt",	"abort"},
	{"sigemt",	"emt instruction"},
	{"sigfpe",	"floating point error"},
	{"sigkill",	"killed"},
	{"sigbus",	"bus error"},
	{"sigsegv",	"segmentation violation"},
	{"sigsys",	"invalid argument to system call"},
	{"sigpipe",	""},
	{"sigalrm",	"alarm clock"},
	{"sigterm",	"terminated"},
	{"sigusr1",	"user defined signal 1"},
	{"sigusr2",	"user defined signal 2"},
	{"sigchld",	"child stop or exit"},
	{"sigpwr",	"power-fail restart"},
	{"sigvtalrm",	"virtual timer alarm"},
	{"sigprof",	"profiling timer alarm"},
	{"sigio",	"socket i/o possible"},
	{"sigwinch",	"window size change"},
	{"sigstop",	"stopped by program"},
	{"sigtstp",	"stopped"},
	{"sigcont",	"continue"},
	{"sigttin",	"background tty read"},
	{"sigttou",	"background tty write"},
	{"sigurg",	"urgent condition on i/o channel"},
	{"siglost",	"resource lost"},
	{"sigunknown31",	"unknown signal 31"},
	{"sigdil",	"dil signal"},
	{"sigxcpu",	"exceeded cpu time limit"},
	{"sigxfsz",	"exceeded file size limit"},
	{"sigcancel",	"thread cancellation"},
	{"sigunknown36",	"unknown signal 36"},
	{"sigunknown37",	"unknown signal 37"},
	{"sigunknown38",	"unknown signal 38"},
	{"sigunknown39",	"unknown signal 39"},
	{"sigunknown40",	"unknown signal 40"},
	{"sigunknown41",	"unknown signal 41"},
	{"sigunknown42",	"unknown signal 42"},
	{"sigunknown43",	"unknown signal 43"},
	{"sigunknown44",	"unknown signal 44"},
};
